﻿using System;
using System.Threading;
using NAudio.Wave;

class Program
{
    static void Main(string[] args)
    {
        Program pg = new Program();
        pg.PlayOne();
    }

    EventWaitHandle _ewh = new EventWaitHandle(false, EventResetMode.ManualReset);

    void PlayOne()
    {
        string mp3Path = @"C:\Users\kevin\OneDrive\music\Taeyeon\만약에.mp3";

        using (TagLib.File file = TagLib.File.Create(mp3Path))
        {
            Console.WriteLine(file.Tag.Title);
            Console.WriteLine(file.Tag.Album);
            Console.WriteLine(file.Properties.Duration.ToString());
        }

        using (IWavePlayer wavePlayer = new WaveOut())
        using (AudioFileReader reader = new AudioFileReader(mp3Path))
        {
            Console.WriteLine("Music(time): " + reader.TotalTime);
            wavePlayer.Init(reader);
            wavePlayer.PlaybackStopped += WavePlayer_PlaybackStopped;
            wavePlayer.Play();

            while (true)
            {
                if (_ewh.WaitOne(1000) == true)
                {
                    break;
                }

                Console.WriteLine(reader.CurrentTime + " / " + reader.TotalTime);
            }
        }
    }

    private void WavePlayer_PlaybackStopped(object sender, StoppedEventArgs e)
    {
        _ewh.Set();
    }
}